Package org.globus.gsi.jsse

# Class GlobusTLSContext

java.lang.Object
org.globus.gsi.jsse.GlobusTLSContext

public class GlobusTLSContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`GlobusTLSContext(SSLSession sslSession)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherSuite()`
`Date`
`getCreationTime()`
`static Subject`
`getCurrentContainerSubject()`
`X509Certificate[]`
`getLocalCertChain()`
`Principal`
`getLocalPrincipal()`
`X509Certificate[]`
`getPeerCertChain()`
`String`
`getPeerHost()`
`int`
`getPeerPort()`
`Principal`
`getPeerPrincipal()`
`String`
`getProtocol()`
`String`
`getSessionId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobusTLSContext

public GlobusTLSContext(SSLSession sslSession)

## Method Details

### getCurrentContainerSubject

public static Subject getCurrentContainerSubject()

### getLocalCertChain

public X509Certificate[] getLocalCertChain()

### getPeerCertChain

public X509Certificate[] getPeerCertChain()

### getLocalPrincipal

public Principal getLocalPrincipal()

### getPeerPrincipal

public Principal getPeerPrincipal()

### getCreationTime

public Date getCreationTime()

### getSessionId

public String getSessionId()

### getCipherSuite

public String getCipherSuite()

### getProtocol

public String getProtocol()

### getPeerHost

public String getPeerHost()

### getPeerPort

public int getPeerPort()